org.apache.lucene.analysis.miscellaneous

## Class DateRecognizerFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.DateRecognizerFilterFactory

-     public class DateRecognizerFilterFactory
      extends TokenFilterFactory

  Factory for `DateRecognizerFilter`.

       <fieldType name="text_filter_none_date" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.DateRecognizerFilterFactory" datePattern="yyyy/mm/dd" locale="en-US" />
         </analyzer>
       </fieldType>

  The `datePattern` is optional. If omitted, `DateRecognizerFilter` will be created with the default date format of the system. The `locale` is optional and if omitted the filter will be created with `Locale.ENGLISH`.

  Since:
    5.5.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DATE_PATTERN`
    `static String` | `LOCALE`

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateRecognizerFilterFactory(Map<String,String> args)` Creates a new FingerprintFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)` Transform the specified input TokenStream
    `DateFormat` | `getDataFormat(String datePattern)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATE_PATTERN

          public static final String DATE_PATTERN

      See Also:
        Constant Field Values

    - #### LOCALE

          public static final String LOCALE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DateRecognizerFilterFactory

          public DateRecognizerFilterFactory(Map<String,String> args)

      Creates a new FingerprintFilterFactory

  - ### Method Detail

    - #### create

          public TokenStream create(TokenStream input)

      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

    - #### getDataFormat

          public DateFormat getDataFormat(String datePattern)

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.